@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

* {
    box-sizing: border-box;
}

.sd_main-container {
    width: 100%;
    margin: 0 auto;
    padding: 1rem;
    font-size: 16px;
    font-family: 'Roboto', sans-serif;
}

.sd_block-meeting {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    width: 100%; 
}

.sd_meeting-col {
    display: flex;
    flex-direction: column;
    gap: .25rem;
    width: 100%;
}

.sd_meeting-titles {
    order: 1;
}

.sd_meeting-cta {
    order: 2;
    width: 100%;
    justify-content: flex-start;
    padding-top: 2rem;
    gap: 1rem;
}

.sd_meeting-text {
    order: 3;
    text-align: justify;
}

.sd_meeting-titles :is(h1, h2) {
    margin-bottom: 0;
}

.sd_meeting-titles h1 {
    text-transform: uppercase;
    font-size: 24px;
}

.sd_meeting-titles h2 {
    margin: 0;
    font-size: 18px;
}

.sd_meeting-text p {
    text-align: justify;
    margin-top: .5rem;
    padding-top: 0;
    order: 2;
}

 .sd_meeting-text > .sd_meeting-titles {
        order:1;
    }

 
.sd_cta-button {
    position: relative;
    overflow: hidden;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    width: 100%;
    border: 1px solid #004C94;
    border-radius: 7px;
    text-transform: uppercase;
    padding: 1rem;
    background-color: #ffffff;
    color: #004C94;
    transition: color 0.3s ease-in-out;
    cursor: pointer;
    z-index: 1;
    user-select: none;
}

.sd_cta-button::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -10;
    background-color: #004C94;
    transform: translateX(-100%);
    transition: transform 0.4s ease-in-out;
}

.sd_cta-button:hover::before {
    transform: translateX(0);
}

.sd_cta-button:hover {
    color: #ffffff;
}

@media (min-width: 768px) {
    .sd_main-container {
        width: auto;
    }

    .sd_block-meeting {
        display: grid;
        grid-template-columns: 1fr 25%;
        gap: 1rem;
    }

    .sd_meeting-titles {
        grid-column: 1;
        grid-row: 1;
    }

    .sd_meeting-text {
        grid-column: 1;
        grid-row: 2;
    }

    .sd_meeting-text p {
        text-align: left;
    }

    .sd_meeting-cta {
        grid-column: 2;
        grid-row: 1 / span 2;
        padding-top: 0;
        width: 100%;
    }

   
}